package com.artfess.sysConfig.persistence.model;
import org.apache.commons.lang.builder.ToStringBuilder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.xml.bind.annotation.*;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.artfess.base.entity.BaseModel;

/**
* portal_sys_tag
* <pre> 
* 描述：portal_sys_tag 实体对象
* 构建组：x7
* 作者:heyf
* 邮箱:heyf@jee-soft.cn
* 日期:2020-07-27 11:08:17
* 版权：广州宏天软件股份有限公司
* </pre>
*/
@XmlRootElement(name = "sysTag")
@XmlAccessorType(XmlAccessType.FIELD)
@TableName("portal_sys_tag")
@ApiModel(value = "SysTag",description = "portal_sys_tag") 
public class SysTag extends BaseModel<SysTag>{

   private static final long serialVersionUID = 1L;
   @XmlTransient
   @TableId("ID_")
   @ApiModelProperty(value="主键")
   protected String id;

   @XmlTransient
   @TableField("TYPE_ID_")
   @ApiModelProperty(value="分类ID")
   protected String typeId; 
   
   @XmlAttribute(name = "key")
   @TableField("KEY_")
   @ApiModelProperty(value="标签KEY")
   protected String key; 
   
   @XmlAttribute(name = "name")
   @TableField("NAME_")
   @ApiModelProperty(value="标签名称")
   protected String name; 
   
   @XmlAttribute(name = "sn")
   @TableField("SN_")
   @ApiModelProperty(value="排序")
   protected Integer sn;

   @XmlTransient
   @TableField("TENANT_ID_")
   @ApiModelProperty(value="租户ID")
   protected String tenantId;

   @XmlAttribute(name = "typeKey")
   @TableField(exist = false)
   @ApiModelProperty(value="分类KEY")
   protected String typeKey;
   
   public void setId(String id) {
       this.id = id;
   }
   
   /**
    * 返回 主键
    * @return
    */
   public String getId() {
       return this.id;
   }
   public void setTypeId(String typeId) {
       this.typeId = typeId;
   }
   
   /**
    * 返回 分类ID
    * @return
    */
   public String getTypeId() {
       return this.typeId;
   }
   public void setKey(String key) {
       this.key = key;
   }
   
   /**
    * 返回 标签KEY
    * @return
    */
   public String getKey() {
       return this.key;
   }
   public void setName(String name) {
       this.name = name;
   }
   
   /**
    * 返回 标签名称
    * @return
    */
   public String getName() {
       return this.name;
   }
   public void setSn(Integer sn) {
       this.sn = sn;
   }
   
   /**
    * 返回 排序
    * @return
    */
   public Integer getSn() {
       return this.sn;
   }
   public void setTenantId(String tenantId) {
       this.tenantId = tenantId;
   }
   
   /**
    * 返回 租户ID
    * @return
    */
   public String getTenantId() {
       return this.tenantId;
   }

    public String getTypeKey() {
        return typeKey;
    }

    public void setTypeKey(String typeKey) {
        this.typeKey = typeKey;
    }

    /**
    * @see Object#toString()
    */
   public String toString() {
       return new ToStringBuilder(this)
       .append("id", this.id) 
       .append("typeId", this.typeId) 
       .append("key", this.key) 
       .append("name", this.name) 
       .append("sn", this.sn) 
       .append("tenantId", this.tenantId) 
       .toString();
   }
}